'use strict';

var index = require('./index-p7cvUYAE.js');
var Analytics = require('./Analytics-C6KBHEIP.js');
var checkPkgVersion = require('./check-pkg-version-B9EoYyZR.js');
var configState = require('./config-state-BIgGhhe9.js');
var styledHost = require('./styled-host-Ch0-dxF-.js');
require('./event-types-YOY5TKUN.js');
require('./package-YyJzVqrh.js');
require('./Api-D9vOcUw4.js');
require('./utils-CYONRFR6.js');
require('./dinero-BwNN_k7x.js');
require('./Plaid-CPESyiiV.js');
require('./Pagination-Dediz133.js');
require('./Business-oBifyXkW.js');
require('./index-W-zoNiyM.js');

const JustifiBankAccountBillingFormSimple = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    async componentWillLoad() {
        await configState.waitForConfig();
        checkPkgVersion.checkPkgVersion();
        this.analytics = new Analytics.JustifiAnalytics(this);
    }
    disconnectedCallback() {
        var _a;
        (_a = this.analytics) === null || _a === void 0 ? void 0 : _a.cleanup();
    }
    async getValues() {
        var _a, _b;
        return (_b = (_a = this.bankAccountBillingFormSimpleRef) === null || _a === void 0 ? void 0 : _a.getValues()) !== null && _b !== void 0 ? _b : {};
    }
    async validate() {
        var _a, _b;
        return (_b = (_a = this.bankAccountBillingFormSimpleRef) === null || _a === void 0 ? void 0 : _a.validate()) !== null && _b !== void 0 ? _b : { isValid: false, errors: {} };
    }
    render() {
        return (index.h(styledHost.StyledHost, { key: '669227ed02e4f0791882b95ed814ea1865db80de' }, index.h("bank-account-billing-form-simple", { key: '97cbe9637d8969023b1f7d3a6b3091a246112032', legend: this.legend, ref: (el) => (this.bankAccountBillingFormSimpleRef = el) })));
    }
};

exports.justifi_bank_account_billing_form_simple = JustifiBankAccountBillingFormSimple;
